Переполнение буфера в Graphviz

Дата публикации:
10.10.2008
Всего просмотров:
1761
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Graphviz 2.x
Уязвимые версии: Graphviz 2.20.2, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "push_subg()" в файле lib/graph/parser.c. Удаленный пользователь может с помощью специально сформированного dot файла вызвать повреждение памяти и выполнить произвольный код на целевой системе.

URL производителя: www.graphviz.org

Решение: Установите последнюю версию 2.20.3 с сайта производителя.

Ссылки: http://roeehay.blogspot.com/2008/10/graphviz-buffer-overflow-code-execution.html

или введите имя

CAPTCHA